ExtensionType (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface ExtensionType

- All Superinterfaces:
    Annotated, OpenAttrs, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    SimpleExtensionType
  All Known Implementing Classes:
    ExtensionTypeImpl, SimpleExtensionTypeImpl

      public interface ExtensionType
      extends Annotated

  An XML extensionType(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<ExtensionType>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `All` | `addNewAll()` Appends and returns a new empty "all" element
    `Wildcard` | `addNewAnyAttribute()` Appends and returns a new empty "anyAttribute" element
    `Attribute` | `addNewAttribute()` Appends and returns a new empty value (as xml) as the last "attribute" element
    `AttributeGroupRef` | `addNewAttributeGroup()` Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `ExplicitGroup` | `addNewChoice()` Appends and returns a new empty "choice" element
    `GroupRef` | `addNewGroup()` Appends and returns a new empty "group" element
    `ExplicitGroup` | `addNewSequence()` Appends and returns a new empty "sequence" element
    `All` | `getAll()` Gets the "all" element
    `Wildcard` | `getAnyAttribute()` Gets the "anyAttribute" element
    `Attribute[]` | `getAttributeArray()` Gets array of all "attribute" elements
    `Attribute` | `getAttributeArray(int i)` Gets ith "attribute" element
    `AttributeGroupRef[]` | `getAttributeGroupArray()` Gets array of all "attributeGroup" elements
    `AttributeGroupRef` | `getAttributeGroupArray(int i)` Gets ith "attributeGroup" element
    `List<AttributeGroupRef>` | `getAttributeGroupList()` Gets a List of "attributeGroup" elements
    `List<Attribute>` | `getAttributeList()` Gets a List of "attribute" elements
    `QName` | `getBase()` Gets the "base" attribute
    `ExplicitGroup` | `getChoice()` Gets the "choice" element
    `GroupRef` | `getGroup()` Gets the "group" element
    `ExplicitGroup` | `getSequence()` Gets the "sequence" element
    `Attribute` | `insertNewAttribute(int i)` Inserts and returns a new empty value (as xml) as the ith "attribute" element
    `AttributeGroupRef` | `insertNewAttributeGroup(int i)` Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `boolean` | `isSetAll()` True if has "all" element
    `boolean` | `isSetAnyAttribute()` True if has "anyAttribute" element
    `boolean` | `isSetChoice()` True if has "choice" element
    `boolean` | `isSetGroup()` True if has "group" element
    `boolean` | `isSetSequence()` True if has "sequence" element
    `void` | `removeAttribute(int i)` Removes the ith "attribute" element
    `void` | `removeAttributeGroup(int i)` Removes the ith "attributeGroup" element
    `void` | `setAll(All all)` Sets the "all" element
    `void` | `setAnyAttribute(Wildcard anyAttribute)` Sets the "anyAttribute" element
    `void` | `setAttributeArray(Attribute[] attributeArray)` Sets array of all "attribute" element
    `void` | `setAttributeArray(int i, Attribute attribute)` Sets ith "attribute" element
    `void` | `setAttributeGroupArray(AttributeGroupRef[] attributeGroupArray)` Sets array of all "attributeGroup" element
    `void` | `setAttributeGroupArray(int i, AttributeGroupRef attributeGroup)` Sets ith "attributeGroup" element
    `void` | `setBase(QName base)` Sets the "base" attribute
    `void` | `setChoice(ExplicitGroup choice)` Sets the "choice" element
    `void` | `setGroup(GroupRef group)` Sets the "group" element
    `void` | `setSequence(ExplicitGroup sequence)` Sets the "sequence" element
    `int` | `sizeOfAttributeArray()` Returns number of "attribute" element
    `int` | `sizeOfAttributeGroupArray()` Returns number of "attributeGroup" element
    `void` | `unsetAll()` Unsets the "all" element
    `void` | `unsetAnyAttribute()` Unsets the "anyAttribute" element
    `void` | `unsetChoice()` Unsets the "choice" element
    `void` | `unsetGroup()` Unsets the "group" element
    `void` | `unsetSequence()` Unsets the "sequence" element
    `XmlQName` | `xgetBase()` Gets (as xml) the "base" attribute
    `void` | `xsetBase(XmlQName base)` Sets (as xml) the "base" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<ExtensionType> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getGroup

          GroupRef getGroup()

      Gets the "group" element

    - #### isSetGroup

          boolean isSetGroup()

      True if has "group" element

    - #### setGroup

          void setGroup(GroupRef group)

      Sets the "group" element

    - #### addNewGroup

          GroupRef addNewGroup()

      Appends and returns a new empty "group" element

    - #### unsetGroup

          void unsetGroup()

      Unsets the "group" element

    - #### getAll

          All getAll()

      Gets the "all" element

    - #### isSetAll

          boolean isSetAll()

      True if has "all" element

    - #### setAll

          void setAll(All all)

      Sets the "all" element

    - #### addNewAll

          All addNewAll()

      Appends and returns a new empty "all" element

    - #### unsetAll

          void unsetAll()

      Unsets the "all" element

    - #### getChoice

          ExplicitGroup getChoice()

      Gets the "choice" element

    - #### isSetChoice

          boolean isSetChoice()

      True if has "choice" element

    - #### setChoice

          void setChoice(ExplicitGroup choice)

      Sets the "choice" element

    - #### addNewChoice

          ExplicitGroup addNewChoice()

      Appends and returns a new empty "choice" element

    - #### unsetChoice

          void unsetChoice()

      Unsets the "choice" element

    - #### getSequence

          ExplicitGroup getSequence()

      Gets the "sequence" element

    - #### isSetSequence

          boolean isSetSequence()

      True if has "sequence" element

    - #### setSequence

          void setSequence(ExplicitGroup sequence)

      Sets the "sequence" element

    - #### addNewSequence

          ExplicitGroup addNewSequence()

      Appends and returns a new empty "sequence" element

    - #### unsetSequence

          void unsetSequence()

      Unsets the "sequence" element

    - #### getAttributeList

          List<Attribute> getAttributeList()

      Gets a List of "attribute" elements

    - #### getAttributeArray

          Attribute[] getAttributeArray()

      Gets array of all "attribute" elements

    - #### getAttributeArray

          Attribute getAttributeArray(int i)

      Gets ith "attribute" element

    - #### sizeOfAttributeArray

          int sizeOfAttributeArray()

      Returns number of "attribute" element

    - #### setAttributeArray

          void setAttributeArray(Attribute[] attributeArray)

      Sets array of all "attribute" element

    - #### setAttributeArray

          void setAttributeArray(int i,
                                 Attribute attribute)

      Sets ith "attribute" element

    - #### insertNewAttribute

          Attribute insertNewAttribute(int i)

      Inserts and returns a new empty value (as xml) as the ith "attribute" element

    - #### addNewAttribute

          Attribute addNewAttribute()

      Appends and returns a new empty value (as xml) as the last "attribute" element

    - #### removeAttribute

          void removeAttribute(int i)

      Removes the ith "attribute" element

    - #### getAttributeGroupList

          List<AttributeGroupRef> getAttributeGroupList()

      Gets a List of "attributeGroup" elements

    - #### getAttributeGroupArray

          AttributeGroupRef[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements

    - #### getAttributeGroupArray

          AttributeGroupRef getAttributeGroupArray(int i)

      Gets ith "attributeGroup" element

    - #### sizeOfAttributeGroupArray

          int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray(AttributeGroupRef[] attributeGroupArray)

      Sets array of all "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray(int i,
                                      AttributeGroupRef attributeGroup)

      Sets ith "attributeGroup" element

    - #### insertNewAttributeGroup

          AttributeGroupRef insertNewAttributeGroup(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element

    - #### addNewAttributeGroup

          AttributeGroupRef addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element

    - #### removeAttributeGroup

          void removeAttributeGroup(int i)

      Removes the ith "attributeGroup" element

    - #### getAnyAttribute

          Wildcard getAnyAttribute()

      Gets the "anyAttribute" element

    - #### isSetAnyAttribute

          boolean isSetAnyAttribute()

      True if has "anyAttribute" element

    - #### setAnyAttribute

          void setAnyAttribute(Wildcard anyAttribute)

      Sets the "anyAttribute" element

    - #### addNewAnyAttribute

          Wildcard addNewAnyAttribute()

      Appends and returns a new empty "anyAttribute" element

    - #### unsetAnyAttribute

          void unsetAnyAttribute()

      Unsets the "anyAttribute" element

    - #### getBase

          QName getBase()

      Gets the "base" attribute

    - #### xgetBase

          XmlQName xgetBase()

      Gets (as xml) the "base" attribute

    - #### setBase

          void setBase(QName base)

      Sets the "base" attribute

    - #### xsetBase

          void xsetBase(XmlQName base)

      Sets (as xml) the "base" attribute